Package com.enonic.xp.query.expr

## Enum CompareExpr.Operator

- java.lang.Object
- - java.lang.Enum<CompareExpr.Operator>
  - - com.enonic.xp.query.expr.CompareExpr.Operator

- All Implemented Interfaces:
    `Serializable`, `Comparable<CompareExpr.Operator>`
  Enclosing class:
    CompareExpr

      public static enum CompareExpr.Operator
      extends Enum<CompareExpr.Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EQ` |
    `GT` |
    `GTE` |
    `IN` |
    `LIKE` |
    `LT` |
    `LTE` |
    `NEQ` |
    `NOT_IN` |
    `NOT_LIKE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allowMultipleValues()` |
    `String` | `getValue()` |
    `static CompareExpr.Operator` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CompareExpr.Operator[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final CompareExpr.Operator EQ

    - #### NEQ

          public static final CompareExpr.Operator NEQ

    - #### GT

          public static final CompareExpr.Operator GT

    - #### GTE

          public static final CompareExpr.Operator GTE

    - #### LT

          public static final CompareExpr.Operator LT

    - #### LTE

          public static final CompareExpr.Operator LTE

    - #### LIKE

          public static final CompareExpr.Operator LIKE

    - #### NOT_LIKE

          public static final CompareExpr.Operator NOT_LIKE

    - #### IN

          public static final CompareExpr.Operator IN

    - #### NOT_IN

          public static final CompareExpr.Operator NOT_IN

  - ### Method Detail

    - #### values

          public static CompareExpr.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompareExpr.Operator c : CompareExpr.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompareExpr.Operator valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### allowMultipleValues

          public boolean allowMultipleValues()